package com.ruoyi.common.apiencrypt.enums;

import java.util.Objects;

/**
 * @Author 1024创新实验室
 * @Date 2023/10/25 09:47:13
 */
public enum DataTypeEnum {

    /**
     *普通数据
     */
    NORMAL(1, "普通数据"),

    /**
     * 加密数据
     */
    ENCRYPT(10, "加密数据"),

    ;

    private Integer code;
    private String value;

    DataTypeEnum(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public Integer getCode() {
        return code;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public static DataTypeEnum getByCode(int code) {
        for (DataTypeEnum value : DataTypeEnum.values()) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
